/**
 * 初始化人才认定申报详情对话框
 */
var locked = false;
var step = $("#step").val();
var TalentInfoInfoDlg = step == 1 ? {
    talentInfoInfoData: {},
    validateFields: {
        source_county: {validators: {notEmpty: {message: '入选来源县市区不能为空'}}},
        talent_type: {validators: {notEmpty: {message: '人才类型不能为空'}}},
        name: {validators: {notEmpty: {message: '姓名不能为空'}}},
        card_type: {validators: {notEmpty: {message: '证件类型不能为空'}}},
        card_number: {
            validators: {
                notEmpty: {message: '证件号码不能为空'},
                regexp: {
                    regexp: /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/,
                    message: "身份证号码格式不正确"
                }
            }
        },
        sex: {validators: {notEmpty: {message: '性别不能为空'}}},
        birthday: {validators: {notEmpty: {message: '出生日期不能为空'}}},
        nationality: {validators: {notEmpty: {message: '国籍/地区不能为空'}}},
        province: {validators: {notEmpty: {message: '户籍省份不能为空'}}},
        city: {validators: {notEmpty: {message: '户籍市不能为空'}}},
        county: {validators: {
                //notEmpty: {message: '户籍县不能为空'},
                callback: {
                    message: "户籍县不能为空",
                    callback: function (value, validator) {
                        if ($("#province").val() > 0 && $("#city").val() > 0 && $("#county option").length > 1 && $("county option:selected").length == 0) {
                            //当省市都有值时，如果县有列表，必选
                            return false;
                        }
                        return true;
                    }
                }
            }
        },
        nation: {validators: {notEmpty: {message: '民族不能为空'}}},
        politics: {validators: {notEmpty: {message: '政治面貌不能为空'}}},
        experience: {validators: {notEmpty: {message: '工作简历不能为空'}}},
        education: {validators: {notEmpty: {message: '教育背景不能为空'}}}
    }
} : {
    talentInfoInfoData: {},
    validateFields: {
        apply_year: {validators: {notEmpty: {message: '申报年度不能为空'}}},
        import_way: {validators: {notEmpty: {message: '引进方式不能为空'}}},
        cur_entry_time: {validators: {notEmpty: {message: '本单位入职时间不能为空'}}},
        position: {validators: {notEmpty: {message: '本单位现任职务不能为空'}}},
        source: {validators: {notEmpty: {message: '申报来源不能为空'}}},
        talent_arrange: {validators: {notEmpty: {message: '人才层次不能为空'}}},
        talent_condition: {validators: {notEmpty: {message: '认定条件不能为空'}}},
        highest_degree: {validators: {notEmpty: {message: '最高学历不能为空'}}},
        graduate_school: {validators: {notEmpty: {message: '毕业院校不能为空'}}},
        major: {validators: {notEmpty: {message: '专业不能为空'}}},
        bank: {
            validators: {
                notEmpty: {
                    message: '开户银行不能为空'
                },
                regexp: {
                    regexp: /^[\u4e00-\u9fa5]*银行$/,
                    message: "开户银行格式不正确"
                }
            }
        },
        bank_number: {
            validators: {
                notEmpty: {
                    message: '银行行号不能为空'
                },
                regexp: {
                    regexp: /^\d+$/,
                    message: "银行行号格式不正确"
                }
            }
        },
        bank_branch_name: {
            validators: {
                notEmpty: {
                    message: '开户银行网点不能为空'
                },
                regexp: {
                    regexp: /^[\u4e00-\u9fa5]*银行[\u4e00-\u9fa5]*省?[\u4e00-\u9fa5]+市[\u4e00-\u9fa5]*$/,
                    message: "开户银行格式不正确"
                }
            }
        },
        bank_account: {
            validators: {
                notEmpty: {
                    message: '银行账号不能为空'
                },
                regexp: {
                    regexp: /^\d+$/,
                    message: "银行账号格式不正确"
                }
            }
        },
        phone: {
            validators: {
                notEmpty: {
                    message: '手机号码不能为空'
                },
                regexp: {
                    regexp: /0?(13|14|15|16|17|18|19)[0-9]{9}/,
                    message: "手机号码格式不正确"
                }
            }
        },
        email: {
            validators: {
                notEmpty: {
                    message: '电子邮箱不能为空'
                },
                emailAddress: {
                    message: "电子邮箱格式不正确"
                }
            }
        }
    }
};

/**
 * 清除数据
 */
TalentInfoInfoDlg.clearData = function () {
    this.talentInfoInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentInfoInfoDlg.set = function (key, val) {
    var dis = $("#" + key).attr("disabled");
    if (dis == "disabled") {
        $("#" + key).removeAttr("disabled");
    }
    this.talentInfoInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    if (dis == "disabled") {
        $("#" + key).prop("disabled", true);
    }
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentInfoInfoDlg.get = function (key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
TalentInfoInfoDlg.close = function () {
    parent.layer.close(window.parent.TalentInfo.layerIndex);
}

/**
 * 收集数据
 */
TalentInfoInfoDlg.collectData = function () {
    this
            .set('id')
            .set('type')
            .set('talent_type')
            .set('tax_insurance_month')
            .set('labor_contract_rangetime')
            .set('enterprise_id')
            .set('name')
            .set('photo')
            .set('card_type')
            .set('card_number')
            .set('sex')
            .set('birthday')
            .set('nationality')
            .set('province')
            .set('city')
            .set('county')
            .set('nation')
            .set('politics')
            .set('talent_arrange')
            .set('talent_condition')
            .set('highest_degree')
            .set('graduate_school')
            .set('major')
            .set('professional')
            .set('bank')
            .set('bank_number')
            .set('bank_branch_name')
            .set('bank_account')
            .set('study_abroad')
            .set('abroad_school')
            .set('abroad_major')
            .set('phone')
            .set('email')
            .set('apply_year')
            .set('import_way')
            .set('fst_work_time')
            .set('cur_entry_time')
            .set('position')
            .set('source')
            .set('fujian_highcert_pubtime')
            .set('fujian_highcert_exptime')
            .set('quanzhou_highcert_pubtime')
            .set('quanzhou_highcert_exptime');
    if ($("#province").val() != null && $("#province").val() != '') {
        this.talentInfoInfoData["province_name"] = $("#province").find("option:selected").text();
    }
    if ($("#city").val() != null && $("#city").val() != '') {
        this.talentInfoInfoData["city_name"] = $("#city").find("option:selected").text();
    }
    if ($("#county").val() != null && $("#county").val() != '') {
        this.talentInfoInfoData["county_name"] = $("#county").find("option:selected").text();
    }
    if ($("#source_city").val() != null && $("#source_city").val() != '') {
        this.talentInfoInfoData["source_city_name"] = $("#source_city").find("option:selected").text();
    }
    if ($("#source_county").val() != null && $("#source_county").val() != '') {
        this.talentInfoInfoData["source_county_name"] = $("#source_county").find("option:selected").text();
    }
}

/**
 * 验证数据
 */
TalentInfoInfoDlg.validate = function () {
    $('#talentInfoForm').data("bootstrapValidator").resetForm();
    $('#talentInfoForm').bootstrapValidator('validate');
    return $("#talentInfoForm").data('bootstrapValidator').isValid();
}
/**
 * 初始化表格的列
 */
TalentInfoInfoDlg.initFileTypeColumn = function () {
    return [
        {field: 'selectItem', checkbox: false, visible: false},
        {title: '名称', field: 'name', visible: true, align: 'left', valign: 'middle', width: "82%", 'class': 'uitd_showTip',
            formatter: function (value, row, index) {
                let str = '<div class="word-wrap">';
                if (row.must == 1) {
                    str = str + '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> ' + value;
                }
                if (row.must == 2) {
                    str = str + '<i class="fa fa-paste"></i>' + value;
                }
                str = str + '<br /><span id="desc_' + row.rel + '">' + row.description + '</span></div>'
                return str;
            }
        },
        {title: '模板', field: 'templateUrl', visible: true, align: 'center', valign: 'middle', width: "8%",
            formatter: function (value, row, index) {
                if (value == null || value == '' || value == 'null') {
                    return '无';
                }
                return "<button type='button' onclick=\"TalentInfoInfoDlg.downloadFile('" + row.id + "',3)\" style='margin-right: 10px' class=\"btn btn-xs btn-primary\">" +
                        "<i class=\"fa fa-download\"></i>下载" +
                        "</button>";
            }
        },
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle', width: "10%",
            formatter: function (value, row, index) {
                return row.step == 1 ? "" : TalentInfoInfoDlg.validUploadButton(1, value, '', row.tableIndex, row.trIndex);
            }
        }
    ]
};

TalentInfoInfoDlg.initFileTable = function () {
    var ajax = new $ax("/common/api/findCommonFileType", function (data) {
        if (data == null || data.length == 0) {
            return;
        }
        var datas = new Array();
        for (var i = 0; i < $(".fileTable").length; i++) {
            datas.push([]);//创建空的多维数组，等下用来存每个附件表的各自的列
        }
        var enterpriseTag = $("#enterprise_tag").val();
        for (var k in data["rows"]) {
            if (data["rows"][k].enterprise_tag != "" && data["rows"][k].enterprise_tag != null && data["rows"][k].enterprise_tag.indexOf(enterpriseTag) == -1) {
                continue;
            }
            var rel = data["rows"][k].rel;
            if ($("#" + rel).length > 0) {
                var tableIndex = 0;
                if ($("#" + rel).parents(".table").length > 0) {
                    tableIndex = $("#" + rel).parents(".table").find("table.fileTable").index(".fileTable");
                } else {
                    tableIndex = $("#" + rel).parents(".row").next(".row").find("table.fileTable").index(".fileTable");
                }
                data["rows"][k].tableIndex = tableIndex;
                data["rows"][k].trIndex = datas[tableIndex].length;
                datas[tableIndex].push(data["rows"][k]);
                if (data["rows"][k].option) {
                    //指定了选项
                    if (rel == "birthday") {
                        let age = 0;
                        if ($("#" + rel).val()) {
                            let birthDate = new Date($("#" + rel).val());//生日日期
                            let birthYear = birthDate.getFullYear();
                            let birthMonth = birthDate.getMonth() + 1;
                            let currentDate = new Date();//当前日期
                            let currentYear = currentDate.getFullYear();
                            let currentMonth = currentDate.getMonth() + 1;
                            age = (currentYear * 12 + currentMonth - birthYear * 12 - birthMonth) / 12;
                        }
                        if (age < data["rows"][k].option)
                            data["rows"][k].hidden = true;
                    } else {
                        let selectVal = $("#" + rel).data("value").toString();
                        let options = data["rows"][k].option.split(",");
                        if (options.indexOf(selectVal) == -1) {
                            data["rows"][k].hidden = true;
                        }
                    }
                }
            } else {
                if (data["rows"][k].isConditionFile) {
                    var tableIndex = 0;
                    if ($("#talent_condition").parents(".table").length > 0) {
                        tableIndex = $("#talent_condition").parents(".table").find("table.fileTable").index(".fileTable");
                    } else {
                        tableIndex = $("#talent_condition").parents(".row").next(".row").find("table.fileTable").index(".fileTable");
                    }
                    data["rows"][k].tableIndex = tableIndex;
                    data["rows"][k].trIndex = datas[tableIndex].length;
                    datas[tableIndex].push(data["rows"][k]);//放入人才条件后面的附件表
                } else {
                    var tableIndex = $(".fileTable").length - 1;
                    data["rows"][k].tableIndex = tableIndex;
                    data["rows"][k].trIndex = datas[tableIndex].length;
                    datas[$(".fileTable").length - 1].push(data["rows"][k]);//没有归属，放入最后一个附件表
                }
            }
        }
        for (var i = 0; i < $(".fileTable").length; i++) {
            var that = $(".fileTable").eq(i);
            that.bootstrapTable({
                columns: TalentInfoInfoDlg.initFileTypeColumn(),
                data: datas[i],
                showHeader: false,
                rowStyle: function (row, index) {
                    return {classes: ""};
                },
                onPostBody: function (data) {
                    for (var k in data) {
                        var files = data[k].files;
                        var html = '<ul class="imgs"><li style="width: 70%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 20%;font-weight: bold;padding-top: 5px;">操作</li>';
                        for (var key in files) {
                            var btn = "";
                            if (data[k].step != 1) {
                                btn = TalentInfoInfoDlg.validUploadButton(2, data[k].id, files[key].id, i, k);
                            }
                            var sn = files[key].url.lastIndexOf(".");
                            var suffix = files[key].ext;//files[key].url.substring(sn + 1, files[key].url.length);
                            var imgStr = "";
                            if (suffix == "pdf" || suffix == "PDF") {
                                imgStr = "<button type='button'  onclick=\"Feng.showPdf('" + files[key].url + "','" + files[key].id + "','" + files[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                            } else if (suffix == "xlsx" || suffix == "XLSX" || suffix == 'xls' || suffix == 'XLS' || suffix == 'docx' || suffix == 'doc' || suffix == 'DOCX' || suffix == 'DOC') {
                                imgStr = "<button type='button'  onclick=\"Feng.showExcel('" + files[key].url + "','" + files[key].id + "','" + files[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                            } else {
                                imgStr = '<img class=\"imgUrl\" onclick=\"Feng.showImg(this)\" src=\"' + files[key].url + '\" style=\"width:25px;height:25px;\">';
                            }

                            html += '<li data-id="' + files[key].id + '">\n\
                                    <div>' + (data[k].step != 1 ? '<input type="hidden" name="uploadFiles[]" value="' + files[key].id + '">' : "") + '</div>\n' +
                                    '<div style="width: 70%;">' + files[key].orignName + '</div>\n' +
                                    '<div style="width: 10%;">' + imgStr + '</div>\n' +
                                    '<div style="width: 20%;">' + btn + '</div>\n\
                                    </li>';
                        }
                        html = html + '</ul>';
                        that.find("tr[data-index='" + k + "']").attr("data-rel", data[k]["rel"]);
                        that.find("tr[data-index='" + k + "']").attr("data-option", data[k]["option"]);
                        that.find("tr[data-index='" + k + "']").after('<tr class="detail-view"><td colspan="5">' + html + '</td></tr>');
                        if (typeof data[k].hidden != "undefined") {
                            that.find("tr[data-index='" + k + "']").css("display", "none");
                            that.find("tr[data-index='" + k + "']").next("tr.detail-view").css("display", "none");
                        }
                    }
                    $("td.uitd_showTip").bind("mouseover", function () {
                        var htm = $(this).html();
                        $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
                    });
                },
            });
        }
    }, function (data) {
        Feng.error("查询失败!" + data.responseJSON.message + "!");
    });
    var queryData = {};
    queryData["mainId"] = $("#id").val();
    queryData['project'] = CONFIG.project_rcrd;
    queryData["source"] = $("#source").val();
    queryData['type'] = $("#type").val();
    queryData["talent_condition"] = $("#talent_condition option:selected").val();
    queryData['checkState'] = $("#checkState").val();
    ajax.set(queryData);
    ajax.start();
}

/**
 * 提交添加
 */
TalentInfoInfoDlg.addSubmit = function () {
    this.clearData();
    this.collectData();
    /*if (!TalentInfoInfoDlg.validate()) {
     return;
     }*/
    var id = $('#id').val();
    if (id != null && id != '') {
        if (!TalentInfoInfoDlg.validateIsEdit())
            return;
    }
    $("select").each(function () {
        $(this).removeAttr("disabled");
    });
    if (locked) {
        return;
    }
    locked = true;
    $("#talentInfoForm").attr("action", "/enterprise/talent/second");
    $("#talentInfoForm")[0].submit();
}

//回调
TalentInfoInfoDlg.infoCallback = function (data) {
    locked = false;
    TalentInfoInfoDlg.setNoChangeField();
    Feng.info(data.msg);
    if (data.code == 200) {
        window.parent.TalentInfo.table.refresh();
        $("#id").val(data.obj.id);
        $("#fileLi").removeAttr("style");
        $("#checkState").val(data.obj.checkState);
    }
}

TalentInfoInfoDlg.getLayerCatdByLayer = function () {
    $("#talent_condition").parents(".table").find(".fileTable").find("tbody").html("");
    $("#talent_condition").html("<option>---请选择---</option>");
    $("#annual_salary").parents("td").css("display", "none");
    $('#talentInfoForm').bootstrapValidator('removeField', "annual_salary");

    var level = $("#talent_arrange").val();
    Feng.addAjaxSelect({
        "id": "talent_arrange_category",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/api/getLayerCatsByLayer/level/" + level
    });
    $("#talent_condition").trigger("chosen:updated");
}

/**
 * 获取人才认定
 */
TalentInfoInfoDlg.getIdentifyCondition = function () {
    $("#talent_condition").parents(".table").find(".fileTable").find("tbody").html("");
    $("#annual_salary").parents("td").css("display", "none");
    $('#talentInfoForm').bootstrapValidator('removeField', "annual_salary");
    var level = $("#talent_arrange").val();
    var cat = $("#talent_arrange_category").val();
    var id = $('#id').val();
    Feng.addAjaxSelect({
        "id": "talent_condition",
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/api/findIdentifyConditionByLevel/level/" + level + "/cat/" + cat + "/id/" + id
    });
    $("#talent_condition").trigger('chosen:updated');
}

TalentInfoInfoDlg.getIdentifyNeedsFileTypes = function () {
    $("#talent_condition").parents(".table").find(".fileTable").find("tbody").html("");
    $("#annual_salary").parents("td").css("display", "none");
    $('#talentInfoForm').bootstrapValidator('removeField', "annual_salary");

    var source = $("#source").val();
    if (source == "" || typeof source == "undefined") {
        layer.alert("请先选择申报来源");
        $("#talent_condition").val("");
        $("#talent_condition").trigger('chosen:updated');
        return;
    }
    TalentInfoInfoDlg.ajaxGetConditionFile(source);
}
TalentInfoInfoDlg.ajaxGetConditionFile = function (source) {
    var condition = $("#talent_condition option:selected").val();
    if (condition != "") {
        var ajax = new $ax("/common/api/getTalentCondtionUploadFile", function (data) {
            if (data == null || data.length == 0) {
                return;
            }
            if (typeof data.info != "undefined" && data.info.isSalary == 1) {
                $("#annual_salary").parents("td").css("display", "table-cell");
                $('#talentInfoForm').bootstrapValidator('addField', "annual_salary", {validators: {
                        notEmpty: {message: '年薪不能放空'},
                        callback: {
                            message: "年薪只能填写数字",
                            callback: function (value, validator) {
                                if (!isNaN(value) && isFinite(value)) {
                                    return true;
                                }
                                return false;
                            }
                        }
                    }
                });
            }
            if (source != "5") {
                return;
            }
            var conditionFileTable = $("#talent_condition").parents(".table").find(".fileTable");
            var tableIndex = conditionFileTable.index(".fileTable");
            var tbody = conditionFileTable.find("tbody");
            var html = "";
            for (var key in data.rows) {
                var filetype = data.rows[key];
                var name = "";
                if (filetype.must == 1) {
                    name = '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> ' + filetype.name;
                }
                if (filetype.must == 2) {
                    name = '<i class="fa fa-paste"></i>' + filetype.name;
                }
                var uploadbtn = TalentInfoInfoDlg.validUploadButton(1, filetype.id, '', tableIndex, key);
                var templateUrl = '<button type="button" onclick="TalentInfoInfoDlg.downloadFile("' + filetype.id + '",3)" style="margin-right: 10px" class="btn btn-xs btn-primary">\n\
<i class=\"fa fa-download\"></i>下载""</button>"';
                html += '<tr data-index="' + key + '">\n\
                                <td class="uitd_showTip" style="text-align: center; vertical-align: middle; width: 30%; ">' + name + '</td> \n\
                                <td style="text-align: center; vertical-align: middle; width: 8%; ">' + (filetype.templateUrl ? templateUrl : "无") + '</td> \n\
                                <td class="uitd_showTip" style="text-align: center; vertical-align: middle; width: 52%; ">' + filetype.description + '</td> \n\
                                <td style="text-align: center; vertical-align: middle; width: 10%; ">' + uploadbtn + '</td> </tr></tr>';
                html += '<tr class="detail-view"><td colspan="5"><ul class="imgs"><li style="width: 70%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 20%;font-weight: bold;padding-top: 5px;">操作</li>';

                for (var k in filetype.files) {
                    var file = filetype.files[k];
                    var btn = TalentInfoInfoDlg.validUploadButton(2, filetype.id, file.id, tableIndex, key);
                    var sn = file.url.lastIndexOf(".");
                    var suffix = file.ext;//file.url.substring(sn + 1, file.url.length);
                    var imgStr = "";
                    if (suffix == "pdf" || suffix == "PDF") {
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('" + file.url + "','" + file.id + "','" + file.orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    } else if (suffix == "xlsx" || suffix == "XLSX" || suffix == 'xls' || suffix == 'XLS' || suffix == 'docx' || suffix == 'doc' || suffix == 'DOCX' || suffix == 'DOC') {
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('" + file.url + "','" + file.id + "','" + file.orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    } else {
                        imgStr = '<img class=\"imgUrl\"  onclick=\"Feng.showImg(this)\" src=\"' + file.url + '\" style=\"width:25px;height:25px;\">';
                    }

                    html += '<li data-id="' + file.id + '">\n\
                                    <div>' + (filetype.step != 1 ? '<input type="hidden" name="uploadFiles[]" value="' + file.id + '">' : "") + '</div>\n' +
                            '<div style="width: 80%;">' + file.orignName + '</div>\n' +
                            '<div style="width: 10%;">' + imgStr + '</div>\n' +
                            '<div style="width: 10%;">' + btn + '</div>\n\
                                    </li>';
                }
                html += '</ul></td></tr>';
            }
            tbody.html(html);
        }, function (data) {
            Feng.error("查询失败!" + data.responseJSON.message + "!");
        });
        var queryData = {};
        queryData["mainId"] = $("#id").val();
        queryData['project'] = CONFIG.project_rcrd;
        queryData["source"] = source;
        queryData['type'] = $("#type").val();
        queryData["talent_condition"] = condition;
        ajax.set(queryData);
        ajax.start();
    }
}

TalentInfoInfoDlg.bankChange = function () {
    var bank = $("#bank").val();
    if ($.trim(bank) == '中国工商银行') {
        $("#bank_number").val('102391050013');
    } else {
        $("#bank_number").val('');
    }
}

TalentInfoInfoDlg.changeStudyAbroad = function () {
    var is_abroad = $("#study_abroad").val();
    if (is_abroad == 1) {
        $("#abroad_school").parent().css("display", "block");
        $("#abroad_major").parent().css("display", "block");
        $('#talentInfoForm').bootstrapValidator('addField', "abroad_school", {validators: {notEmpty: {message: '留学毕业院校不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "abroad_major", {validators: {notEmpty: {message: '留学专业不能为空'}}});
        $("[data-rel='study_abroad']").find("i.fa-paste").after('<span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span>');
    } else {
        $("#abroad_school").val("").parent().css("display", "none");
        $("#abroad_major").val("").parent().css("display", "none");
        $('#talentInfoForm').bootstrapValidator('removeField', "abroad_school");
        $('#talentInfoForm').bootstrapValidator('removeField', "abroad_major");
        $("[data-rel='study_abroad']").find("i.fa-paste").next("span").remove();
    }
}


TalentInfoInfoDlg.sourceChange = function () {
    var source = $("#source").val();
    $("#source_batch").val("").parent().css("display", "none");
    $(".fujian_highcert").css("display", "none");
    $(".quanzhou_highcert").css("display", "none");
    $("#source_city").val("").parent().css("display", "none");
    $("#source_county").val("").parent().css("display", "none");
    $('#talentInfoForm').bootstrapValidator('removeField', "source_batch");
    $('#talentInfoForm').bootstrapValidator('removeField', "fujian_highcert_pubtime");
    $('#talentInfoForm').bootstrapValidator('removeField', "fujian_highcert_exptime");
    $('#talentInfoForm').bootstrapValidator('removeField', "quanzhou_highcert_pubtime");
    $('#talentInfoForm').bootstrapValidator('removeField', "quanzhou_highcert_exptime");
    $('#talentInfoForm').bootstrapValidator('removeField', "source_city");
    $('#talentInfoForm').bootstrapValidator('removeField', "source_county");
    switch (source) {
        case "1":
        case "3":
            $("#source_batch").parent().css("display", "block");
            $(".fujian_highcert").css("display", "block");
            $('#talentInfoForm').bootstrapValidator('addField', "source_batch", {validators: {notEmpty: {message: '申报来源批次不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "fujian_highcert_pubtime", {validators: {notEmpty: {message: '福建省高层次人才证书发证日期不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "fujian_highcert_exptime", {validators: {notEmpty: {message: '福建省高层次人才证书有效期不能为空'}}});
            break;
        case "2":
        case "4":
            $("#source_batch").parent().css("display", "block");
            $(".quanzhou_highcert").css("display", "block");
            $('#talentInfoForm').bootstrapValidator('addField', "source_batch", {validators: {notEmpty: {message: '申报来源批次不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "quanzhou_highcert_pubtime", {validators: {notEmpty: {message: '泉州高层次人才证书发证日期不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "quanzhou_highcert_exptime", {validators: {notEmpty: {message: '泉州高层次人才证书有效期不能为空'}}});
            break;
    }
    if (source == 3) {
        //显示入选来源地级市除泉
        $("#source_city").parent().css("display", "block");
        Feng.addAjaxSelect({
            "id": "source_city",
            "displayCode": "code",
            "displayName": "name",
            "type": "GET",
            "url": "/common/tool/findChildAreaByCode/code/35/no/350500"
        });
        $('#talentInfoForm').bootstrapValidator('addField', "source_city", {validators: {notEmpty: {message: '入选来源地级市不能为空'}}});
    }
    if (source == 4) {
        //显示入选来源县市区除晋
        $("#source_county").parent().css("display", "block");
        Feng.addAjaxSelect({
            "id": "source_county",
            "displayCode": "code",
            "displayName": "name",
            "type": "GET",
            "url": "/common/tool/findChildAreaByCode/code/3505/no/350582"
        });
        $('#talentInfoForm').bootstrapValidator('addField', "source_county", {validators: {notEmpty: {message: '入选来源县市区不能为空'}}});
    }
    if (source != 5) {
        $("#talent_condition").parents(".table").find(".fileTable").find("tbody").html("");
    } else {
        TalentInfoInfoDlg.ajaxGetConditionFile(source);
    }
}

//校验是否保存基础信息
TalentInfoInfoDlg.validId = function () {
    var id = $("#id").val();
    if (id != null && id != '') {
        $("#fileLi").removeAttr("style");
    } else {
        $("#fileLi").attr("style", "pointer-events: none");
    }
}
//选择附件并显示附件名
TalentInfoInfoDlg.checkFile = function (content, fileTypeId, fileId, tableIndex, trIndex) {
    if (!TalentInfoInfoDlg.validateIsEdit())
        return;
    $("#upload_file").unbind("change");
    $("#upload_file").change(function () {
        if (!Feng.chkFileInvalid(this.files[0], 5, 10))
            return;
        TalentInfoInfoDlg.upload(fileTypeId, fileId, tableIndex, trIndex);
    });
    $('#upload_file').val("");
    $('#upload_file').click();
}
//上传附件
TalentInfoInfoDlg.upload = function (fileTypeId, fileId, tableIndex, trIndex) {
    var id = $("#id").val();
    if (!TalentInfoInfoDlg.validateIsEdit())
        return;
    if (fileId != null && fileId != 'null') {
        $("#fileId").val(fileId)
    } else {
        $("#fileId").val("");
    }
    $("#mainId").val(id);
    $("#fileTypeId").val(fileTypeId);
    $("#tableIndex").val(tableIndex);
    $("#trIndex").val(trIndex);
    var index = layer.load(0, {shade: false, time: 0});
    $("#index").val(index);
    $("#uploadForm").submit();
}
//删除附件
TalentInfoInfoDlg.deleteFile = function (id, state) {
    if (!TalentInfoInfoDlg.validateIsEdit())
        return;
    var operation = function () {
        var ajax = new $ax(Feng.ctxPath + "/common/api/deleteFile", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                $("input[name='uploadFiles[]'][value='" + id + "']").parents("li").remove();
                //$("#fileTable").bootstrapTable("refresh", {});
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("删除失败!" + data.responseJSON.message + "!");
        });
        ajax.set("id", id);
        ajax.set("type", 1);
        ajax.start();
    }
    Feng.confirm("删除后无法恢复，确认删除吗?", operation);
}

/**
 * 提交审核
 */
TalentInfoInfoDlg.submitToCheck = function () {
    /*if (!TalentInfoInfoDlg.validate()) {
     return;
     }*/
    var id = $("#id").val();
    /*if (id == null || id == "") {
     Feng.info("请先填写基础信息并上传附件");
     return;
     }*/
    if (!TalentInfoInfoDlg.validateIsEdit())
        return;
    var operation = function () {
        TalentInfoInfoDlg.clearData();
        TalentInfoInfoDlg.collectData();
        /*if (!TalentInfoInfoDlg.validate()) {
         return;
         }*/
        var id = $('#id').val();
        if (id != null && id != '') {
            if (!TalentInfoInfoDlg.validateIsEdit())
                return;
        }
        $("select").each(function () {
            $(this).removeAttr("disabled");
        });
        if (locked) {
            return;
        }
        locked = true;
        $("#talentInfoForm").attr("action", "/enterprise/talent/submit");
        $("#talentInfoForm")[0].submit();


        return;
        var ajax = new $ax(Feng.ctxPath + "/enterprise/talent/submit", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                // $("#checkState").val(data.obj);
                window.parent.TalentInfo.table.refresh();
                TalentInfoInfoDlg.close();
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("提交审核失败!" + data.responseJSON.message + "!");
        });
        ajax.set("id", id);
        ajax.start();
    }
    Feng.confirm("请确认基础信息已核对无误，相应附件已上传，一旦提交，无法修改", operation);
}
//回调
TalentInfoInfoDlg.submitCallback = function (data) {
    locked = false;
    TalentInfoInfoDlg.setNoChangeField();
    if (data.code == 200) {
        Feng.success(data.msg);
        // $("#checkState").val(data.obj);
        window.parent.TalentInfo.table.refresh();
        TalentInfoInfoDlg.close();
    } else {
        Feng.error(data.msg);
    }
}

/**
 * 校验是否可以修改/提交审核
 */
TalentInfoInfoDlg.validateIsEdit = function () {
    var checkState = $("#checkState").val();
    if (checkState != 0 && checkState != 1 && checkState != 3 && checkState != 5 && checkState != 8) {
        if (checkState == 16 || checkState == -1 || checkState == -2 || checkState == 7) {
            Feng.error("您的申报审核不通过，无法再修改");
            return false;
        } else if (checkState == 28) {
            Feng.error("申报已完成");
            return false;
        } else if (checkState == 14) {
            Feng.error("您的申报已审核通过，无法再修改");
            return false;
        } else if (checkState == 22 || checkState == 25 || checkState == 27) {
            Feng.error("该申报已终止");
            return false;
        } else {
            Feng.error("您的申报正在审核中，请耐心等待");
            return false;
        }
    }
    return true;
}

/**
 * 校验是否显示按钮
 * @param type      类型  1-上传按钮，2-修改删除按钮
 * @param row
 * @returns {string}
 */
TalentInfoInfoDlg.validUploadButton = function (type, fileTypeId, fileId, tableIndex, trIndex) {
    var files = $("#files").val();
    files = files.split(",");
    var checkState = $("#checkState").val();
    var realState = $("#realState").val();
    console.log(checkState, realState);
    if (Feng.isEmptyStr(checkState) || checkState == 0 || checkState == 1 || checkState == 3 || (checkState == 5 && realState == 5) || (checkState == 8 && realState == 8) || (checkState == 11 && realState != 14) || (realState == 11 && files.indexOf(fileTypeId.toString()) != -1)) {
        if (type == 1) {          //上传
            return "<button type='button' onclick=\"TalentInfoInfoDlg.checkFile(this," + fileTypeId + "," + null + "," + tableIndex + "," + trIndex + ")\" style='margin-right: 10px' class=\"btn btn-xs btn-info\">" +
                    "<i class=\"fa fa-upload\"></i>上传" +
                    "</button>";
        } else {
            return "<button type=\'button\' onclick=\"TalentInfoInfoDlg.checkFile(this," + fileTypeId + "," + fileId + "," + tableIndex + "," + trIndex + ")\" style=\'margin-right: 10px\' class=\"btn btn-xs btn-info\">" +
                    "<i class=\"fa fa-paste\"></i>修改" +
                    "</button>" +
                    "<button type='button' onclick=\"TalentInfoInfoDlg.deleteFile(" + fileId + ")\" class=\"btn btn-xs btn-danger\">" +
                    "<i class=\"fa fa-times\"></i>删除" +
                    "</button>";
        }
    } else {
        return type == 1 ? "" : "";
    }
}


//回调
TalentInfoInfoDlg.callBack = function (data) {
    layer.close(data.obj);
    Feng.info(data.msg);
    if (data.code == 200) {
        var tableIndex = $("#tableIndex").val();
        var trIndex = $("#trIndex").val();
        var sn = data.info.lastIndexOf(".");
        var suffix = data.ext;//data.info.substring(sn + 1, data.info.length);
        var imgStr = "";
        if (suffix == "pdf" || suffix == "PDF") {
            imgStr = "<button type='button'  onclick=\"Feng.showPdf('" + data.info + "','" + data.id + "','" + data.orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
        } else if (suffix == "xlsx" || suffix == "XLSX" || suffix == 'xls' || suffix == 'XLS' || suffix == 'docx' || suffix == 'doc' || suffix == 'DOCX' || suffix == 'DOC') {
            imgStr = "<button type='button'  onclick=\"Feng.showExcel('" + data.info + "','" + data.id + "','" + data.orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
        } else {
            imgStr = '<img class="imgUrl"  src="' + data.info + '" style="width:25px;height:25px;">';
        }
        var li = $("input[name='uploadFiles[]'][value='" + data.id + "'").parents("li");
        if (li.length > 0) {
            li.find("div").eq(1).html(data.orignName);
            li.find("div").eq(2).html(imgStr);
        } else {
            var html = '<li data-id="' + data.id + '">\n\
<div><input type="hidden" name="uploadFiles[]" value="' + data.id + '"></div>\n\
<div style="width: 70%;">' + data.orignName + '</div>\n\
<div style="width: 10%;">' + imgStr + '</div>\n\
<div style="width: 20%;">\n\
<button type="button" onclick="TalentInfoInfoDlg.checkFile(this,' + data.typeId + ',' + data.id + ',' + tableIndex + ',' + trIndex + ')" style="margin-right: 10px" class="btn btn-xs btn-info"><i class="fa fa-paste"></i>修改</button>\n\
<button type="button" onclick="TalentInfoInfoDlg.deleteFile(' + data.id + ')" class="btn btn-xs btn-danger"><i class="fa fa-times"></i>删除</button>\n\
</div></li></ul>';
            $(".fileTable").eq(tableIndex).find("tr[data-index='" + trIndex + "']").next("tr.detail-view").find(".imgs").append(html);
        }
    }
}
TalentInfoInfoDlg.downloadFile = function (id, type) {
    window.location.href = Feng.ctxPath + "/api/common/downloadFile?id=" + id + "&type=" + type;
}

//设置不可修改的字段
TalentInfoInfoDlg.setNoChangeField = function () {
    var checkState = $("#checkState").val();
    var fields = $("#fields").val();
    var realState = $("#realState").val();
    if (realState == 11) {
        $("input,textarea").each(function () {
            $(this).attr("readonly", "readonly");
        });
        $("select,input[type=radio]").each(function () {
            $(this).attr("disabled", "disabled");
        });
        if (fields != null && fields != '') {
            var arr = fields.split(",");
            for (var key in arr) {
                if (arr[key] != "") {
                    var name = $("#" + arr[key]).prop("tagName");
                    if (name == 'select' || name == 'SELECT') {
                        $("#" + arr[key]).removeAttr("disabled");
                    } else if (name == "input" || name == 'textarea' || name == "INPUT" || name == 'TEXTAREA') {
                        $("#" + arr[key]).removeAttr("readonly");
                    } else {
                        if (typeof name == "undefined") {
                            $("input[name=" + arr[key] + "]").removeAttr("disabled").removeAttr("readonly");
                        }
                    }
                }
            }
        }
    }
}
TalentInfoInfoDlg.__initValidateCondition = function () {
    var step = $("#step").val();
    if (step == 1) {
        $('#talentInfoForm').bootstrapValidator('addField', "source_county", {validators: {notEmpty: {message: '入选来源县市区不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "talent_type", {validators: {notEmpty: {message: '人才类型不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "name", {validators: {notEmpty: {message: '姓名不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "card_type", {validators: {notEmpty: {message: '证件类型不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "card_number", {validators: {notEmpty: {message: '证件号码不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "sex", {validators: {notEmpty: {message: '性别不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "birthday", {validators: {notEmpty: {message: '出生日期不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "nationality", {validators: {notEmpty: {message: '国籍/地区不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "province", {validators: {notEmpty: {message: '户籍省份不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "city", {validators: {notEmpty: {message: '户籍市不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "nation", {validators: {notEmpty: {message: '民族不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "politics", {validators: {notEmpty: {message: '政治面貌不能为空'}}});
    } else {
        $('#talentInfoForm').bootstrapValidator('addField', "apply_year", {validators: {notEmpty: {message: '申报年度不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "import_way", {validators: {notEmpty: {message: '引进方式不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "cur_entry_time", {validators: {notEmpty: {message: '本单位入职时间不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "position", {validators: {notEmpty: {message: '本单位现任职务不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "source", {validators: {notEmpty: {message: '申报来源不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "talent_arrange", {validators: {notEmpty: {message: '人才层次不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "talent_condition", {validators: {notEmpty: {message: '认定条件不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "highest_degree", {validators: {notEmpty: {message: '最高学历不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "graduate_school", {validators: {notEmpty: {message: '毕业院校不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "major", {validators: {notEmpty: {message: '专业不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "bank", {
            validators: {
                notEmpty: {
                    message: '开户银行不能为空'
                },
                regexp: {
                    regexp: /^[\u4e00-\u9fa5]*银行$/,
                    message: "开户银行格式不正确"
                }
            }
        });
        $('#talentInfoForm').bootstrapValidator('addField', "bank_number", {
            validators: {
                notEmpty: {
                    message: '银行行号不能为空'
                },
                regexp: {
                    regexp: /^\d+$/,
                    message: "银行行号格式不正确"
                }
            }
        });
        $('#talentInfoForm').bootstrapValidator('addField', "bank_branch_name", {
            validators: {
                notEmpty: {
                    message: '开户银行网点不能为空'
                },
                regexp: {
                    regexp: /^[\u4e00-\u9fa5]*银行[\u4e00-\u9fa5]*省?[\u4e00-\u9fa5]+市[\u4e00-\u9fa5]*$/,
                    message: "开户银行格式不正确"
                }
            }
        });
        $('#talentInfoForm').bootstrapValidator('addField', "bank_account", {
            validators: {
                notEmpty: {
                    message: '银行账号不能为空'
                },
                regexp: {
                    regexp: /^\d+$/,
                    message: "银行账号格式不正确"
                }
            }
        });
        $('#talentInfoForm').bootstrapValidator('addField', "phone", {
            validators: {
                notEmpty: {
                    message: '手机号码不能为空'
                },
                regexp: {
                    regexp: /0?(13|14|15|16|17|18|19)[0-9]{9}/,
                    message: "手机号码格式不正确"
                }
            }
        });
        $('#talentInfoForm').bootstrapValidator('addField', "email", {

            validators: {
                notEmpty: {
                    message: '电子邮箱不能为空'
                },
                emailAddress: {
                    message: "电子邮箱格式不正确"
                }
            }
        });

    }
}
$("#card_type").change(function () {
    async_padding($("#card_number").val().trim(), $(this).val());
})
$("#card_number").blur(function () {
    async_padding($(this).val().trim(), $("#card_type").val());
})
function async_padding(card_number, card_type) {
    if (card_number != "" && card_number.length == 18 && card_type == "1") {
        var year = card_number.substring(6, 10);
        var month = card_number.substring(10, 12);
        var day = card_number.substring(12, 14);
        var birthday = year + "-" + month + "-" + day;
        var rule = /\d{4}-\d{2}-\d{2}/;
        if (rule.test(birthday))
            $("#birthday").val(birthday);
        var num = card_number.substring(17, 1);
        if (num % 2 == 0) {
            $("#sex").val(2);
        } else {
            $("#sex").val(1);
        }
    }
}
$(function () {
    //Feng.initValidatorTip("talentInfoForm", TalentInfoInfoDlg.validateFields);
    var id = $("#id").val();
    var checkState = $("#checkState").val();
    //批量加载字典表数据
    var arr = [
        {"name": "talent_arrange", "code": "talent_arrange"},
        {"name": "highest_degree", "code": "highest_degree"},
        {"name": "source", "code": "source"},
        {"name": "import_way", "code": "import_way"}];
    Feng.findChildDictBatch(JSON.stringify(arr))
    //批量加载时间控件
    $(".date").each(function () {
        laydate.render({
            elem: this
            , type: 'date'
            , trigger: 'click'
        });
    });
    $(".rangedate").each(function () {
        laydate.render({
            elem: this,
            type: "date",
            range: true,
            trigger: "click"
        })
    })
    if (id != null && id != '') {
        //select初始化
        $("#highest_degree").val($("#highest_degree").attr("value")).trigger("change");
        $("#import_way").val($("#import_way").attr("value")).trigger("change");
        $("#source").val($("#source").attr("value")).trigger("change");
        Feng.getCheckLog("logTable", {"type": CONFIG.project_rcrd, "mainId": id, "typeFileId": "", "active": 1})
    }
    $("#source_batch").val($("#source_batch").attr("value"));
    $("#source_city").val($("#source_city").attr("value"));
    $("#source_county").val($("#source_county").attr("value"));
    $("#quanzhou_highcert_pubtime").val($("#quanzhou_highcert_pubtime").attr("value"));
    $("#quanzhou_highcert_exptime").val($("#quanzhou_highcert_exptime").attr("value"));
    $("#fujian_highcert_pubtime").val($("#fujian_highcert_pubtime").attr("value"));
    $("#fujian_highcert_exptime").val($("#fujian_highcert_exptime").attr("value"));
    $("#talent_type").val($("#talent_type").attr("value"));
    $("#card_type").val($("#card_type").attr("value"));
    $("#sex").val($("#sex").attr("value"));
    $("#enterprise_tag").val($("#enterprise_tag").attr("value"));
    $("#address").val($("#address").attr("value"));
    $("#nation").val($("#nation").attr("value"));
    $("#nationality").val($("#nationality").attr("value"));
    $("#industry_field").val($("#industry_field").attr("value"));
    $("#province").val($("#province").attr("value"));
    $("#city").val($("#city").attr("value"));
    $("#county").val($("#county").attr("value"));
    $("#talent_arrange").val($("#talent_arrange").attr("value"));
    TalentInfoInfoDlg.getLayerCatdByLayer();
    $("#talent_arrange_category").val($("#talent_arrange_category").attr("value"));
    TalentInfoInfoDlg.getIdentifyCondition();
    $("#politics").val($("#politics").attr("value"));
    TalentInfoInfoDlg.validId();
    $("#photo").change(function (e) {
        var tag = e.target;
        var file = tag.files[0];
        var imgSrc;
        var reader = new FileReader();
        console.log(file)
        if(toString.call(file) === '[object Blob]' || toString.call(file) === '[object File]'){
            reader.readAsDataURL(file);
            reader.onload = function () {
                imgSrc = this.result;
                $("#photoImg").attr("src", imgSrc);
            };
        }else{
            alert('图片或浏览器不支持，请更换！！');
        }

    });
    TalentInfoInfoDlg.setNoChangeField();
    $("#talent_condition").on('chosen:ready', function (e, params) {
        $(".chosen-container-single .chosen-single").css("padding", "4px 0px 0px 4px");
    });
    $("#talent_condition").val($("#talent_condition").attr("value"));
    $("#talent_condition").chosen({
        search_contains: true,       //关键字模糊搜索。设置为true，只要选项包含搜索词就会显示；设置为false，则要求从选项开头开始匹配
        disable_search: false,
        width: "100%",
        enable_split_word_search: true,
        rtl: true
    });
    if ($("#annual_salary").val() != "") {
        $("#annual_salary").parents("td").css("display", "table-cell");
        $('#talentInfoForm').bootstrapValidator('addField', "annual_salary", {validators: {
                notEmpty: {message: '年薪不能放空'},
                callback: {
                    message: "年薪只能填写数字",
                    callback: function (value, validator) {
                        if (!isNaN(value) && isFinite(value)) {
                            return true;
                        }
                        return false;
                    }
                }
            }
        });
    }
    TalentInfoInfoDlg.initFileTable();
    var is_abroad = $("#study_abroad").val();
    if (is_abroad == "1") {
        TalentInfoInfoDlg.changeStudyAbroad();
    }
});


